{"title":"Create salesOrderLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salesorderline_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesorderline_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesorderline_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates a sales order line object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":54,"chars":286},{"level":2,"title":"Request headers","slug":"request-headers","at":340,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":442,"chars":95},{"level":2,"title":"Response","slug":"response","at":537,"chars":130},{"level":2,"title":"Example","slug":"example","at":667,"chars":2113},{"level":2,"title":"Related information","slug":"related-information","at":2780,"chars":315}],"text":"Create a sales order line object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/salesOrders({id})/salesOrderLines\nPOST businesscentralPrefix/companies({id})/salesOrderLines\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of a salesOrderLines object.\n## Response\nIf successful, this method returns ```201 Created``` response code and a salesOrderLines object in the response body.\n## Example\nRequest\nHere's an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/salesOrders({id})/salesOrderLines\nContent-type: application/json\n\n{\n    \"itemId\": \"0ea6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"lineType\": \"Item\",\n    \"lineObjectNumber\": \"1996-S\",\n    \"description\": \"ATLANTA Whiteboard, base\",\n    \"unitOfMeasureId\": \"5ca6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"unitOfMeasureCode\": \"PCS\",\n    \"quantity\": 12,\n    \"unitPrice\": 1397.3,\n    \"discountAmount\": 0,\n    \"discountPercent\": 0,\n    \"taxCode\": \"STANDARD\",\n    \"shipmentDate\": \"2020-04-02\",\n    \"invoiceQuantity\": 12,\n    \"shipQuantity\": 12,\n    \"itemVariantId\": \"00000000-0000-0000-0000-000000000000\",\n    \"locationId\": \"00000000-0000-0000-0000-000000000000\"\n}\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/2 201 Created\nContent-type: application/json\n\n{\n    \"id\": \"1e8cb9c0-44e3-ea11-bb43-000d3a2feca1\",\n    \"documentId\": \"960f5c9c-44e3-ea11-bb43-000d3a2feca1\",\n    \"itemId\": \"0ea6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"accountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"lineType\": \"Item\",\n    \"lineObjectNumber\": \"1996-S\",\n    \"description\": \"ATLANTA Whiteboard, base\",\n    \"unitOfMeasureId\": \"5ca6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"unitOfMeasureCode\": \"PCS\",\n    \"quantity\": 12,\n    \"unitPrice\": 1397.3,\n    \"discountAmount\": 0,\n    \"discountPercent\": 0,\n    \"discountAppliedBeforeTax\": false,\n    \"amountExcludingTax\": 16767.6,\n    \"taxCode\": \"FURNITURE\",\n    \"taxPercent\": 6.00002,\n    \"totalTaxAmount\": 1006.06,\n    \"amountIncludingTax\": 17773.66,\n    \"invoiceDiscountAllocation\": 0,\n    \"netAmount\": 16767.6,\n    \"netTaxAmount\": 1006.06,\n    \"netAmountIncludingTax\": 17773.66,\n    \"shipmentDate\": \"2020-04-02\",\n    \"shippedQuantity\": 0,\n    \"invoicedQuantity\": 0,\n    \"invoiceQuantity\": 12,\n    \"shipQuantity\": 12,\n    \"itemVariantId\": \"00000000-0000-0000-0000-000000000000\",\n    \"locationId\": \"00000000-0000-0000-0000-000000000000\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nSales Order Line<../resources/dynamics_salesorderline>\nGet Sales Order Line<dynamics_salesorderline_get>\nUpdate Sales Order Line<dynamics_salesorderline_update>\nDelete Sales Order Line<dynamics_salesorderline_delete>"}